Go to Rapid Review Online Support Homepage

Rapid Review® 3.0 supports Internet Explorer 6.0 SP1 or later, Mozilla Firefox 2.0 or later, and Safari 2.0/3.0. However, there are compatibility issues that exist between different browser versions and various operating systems. Please refer to the information below to determine the best browser version to use. Links to download recommended browsers are provided.

Rapid Review® requires the use of JavaScript, per-session cookies & popup windows.

 Beta versions are not supported.

RecommendedRecommended

Not SupportedNot Supported
  Windows 2000 Windows XP Windows Vista
Internet Explorer for Windows

Recommended6.0 SP1 (or later)

Recommended6.0 SP1

Recommended7.0 (or later)

Recommended7.0 (or later)

Firefox for Windows  Recommended2.0 (or later)  Recommended2.0 (or later)  Recommended2.0 (or later)
Safari for Windows  Not Supported3.0  Not Supported3.0

 Not Supported4.0

 Not Supported3.0

 Not Supported4.0

Note: All versions of Netscape are no longer supported.

As of February 1, 2008, AOL has discontinued official support of Netscape.

 

RecommendedRecommended

Not SupportedNot Supported
  10.2 10.3 10.4 or later
Safari for MacOS X

Not Supported1.1 (or earlier)

Not Supported1.3 (or earlier)

Recommended2.0

Recommended3.0

Not Supported4.0

Firefox for MacOS X  Recommended2.0 (or later)  Recommended2.0 (or later)  Recommended2.0 (or later)

Note: Internet Explorer for Mac is no longer supported.

As of January 31st, 2006, Internet Explorer for Mac is no longer available from Microsoft.

 

Note: All versions of Netscape are no longer supported.

As of February 1, 2008, AOL has discontinued official support of Netscape.

 

 

 

Related Information:

How to Determine Browser Version

 

Updated: September 14, 2009

Copyright © 2009 Cadmus Journal Services, Inc. All rights reserved.
RAPID REVIEW® is a registered trademark of Cadmus Journal Services, Inc.